{% extends "logger_ui_base.html" %}
{% block content %}
<h2>Name builder</h2>
<form method="POST" action="">
    <fieldset class="inputField">
        <legend>Location</legend>
        <label for="location_name">Name:</label>
        <input type="text"
               name="location_name"
               size="32"
               maxlength="70"
               placeholder="e.g. Stein am Rhein"
               required
               {% if location_name %}
                value = "{{ location_name }}"
               {% endif %}
               title="Do not use '_' or '.'. Capitalize words correctly"
               pattern="[^_.]*"
        ><br>

        <label for="location_building">Building:</label>
        <select name="location_building" required>
                <option value="" disabled {% if not location_building %} selected {% endif %}>Choose building ...</option>
                <option value="BS" {% if location_building == 'BS' %} selected {% endif %} >Brunnenstube</option>
                <option value="SS" {% if location_building == 'SS' %} selected {% endif %} >Sammelschacht</option>
                <option value="RES" {% if location_building == 'RES' %} selected {% endif %}>Reservoir</option>
        </select>
    </fieldset>

    <fieldset class="inputField">
        <legend>WABE</legend>
        <label for="wabe_id">ID:</label>
        <input type="text"
               name="wabe_id"
               size="18"
               maxlength="18"
               placeholder="e.g. AB12641-002"
               required
               {% if wabe_id %}
                value = "{{ wabe_id }}"
               {% endif %}
               title="Capital letters followed by a sequence of digits, an optional second digits sequence separated by '-'"
               pattern="^[A-Z]+\d+([-]\d+)?$"
        ><br>

        <label for="wabe_type">Type:</label>
        <select name="wabe_type" required>
                <option value="" disabled {% if not wabe_type %} selected {% endif %}>Choose type ...</option>
                {% for n in '12345' %}
                    <option value="{{ n }}" {% if wabe_type == n %} selected {% endif %}>{{ n }}</option>
                {% endfor %}
                <option value="S" {% if wabe_type == 'S' %} selected {% endif %}>Special</option>
        </select><br>

        <label for="wabe_spring">Spring name:</label>
        <input type="text"
               name="wabe_spring"
               size="32"
               maxlength="41"
               placeholder="e.g. Paliu Fravi"
               {% if wabe_spring %}
                value = "{{ wabe_spring }}"
               {% endif %}
               title="Do not use '_' or '.'. Capitalize words correctly"
               pattern="[^_.]*"
        >
    </fieldset>

    <fieldset class="inputField">
        <legend>Sensor</legend>
        <label for="sensor_name">Name:</label>
        <input type="text"
               name="sensor_name"
               size="12"
               maxlength="6"
               placeholder="e.g. DT101"
               required
               {% if sensor_name %}
                value = "{{ sensor_name }}"
               {% endif %}
               title="One or more capital letters followed by digits"
               pattern="[A-Z]+\d+"
        ><br>

        <label for="pressure_ch">Pressure on channel:</label>
        <select name="pressure_ch" required>
                <option value="0" {% if pressure_ch == '0' or not pressure_ch %} selected {% endif %}>ADC_IN08</option>
                <option value="1" {% if pressure_ch == '1' %} selected {% endif %}>ADC_IN09</option>
                <option value="2" {% if pressure_ch == '2' %} selected {% endif %}>ADC_IN10</option>
                <option value="3" {% if pressure_ch == '3' %} selected {% endif %}>ADC_IN11</option>
        </select><br>

        <label for="temperature_ch">Temperature on channel:</label>
        <select name="temperature_ch" required>
                <option value="0" {% if temperature_ch == '0' %} selected {% endif %}>ADC_IN08</option>
                <option value="1" {% if temperature_ch == '1' or not temperature_ch %} selected {% endif %}>ADC_IN09</option>
                <option value="2" {% if temperature_ch == '2' %} selected {% endif %}>ADC_IN10</option>
                <option value="3" {% if temperature_ch == '3' %} selected {% endif %}>ADC_IN11</option>
        </select><br>

    </fieldset>

    <input class="baseButton" name="buildnames_btn" type="submit" value="Submit"
    title="Return to the configuration page and use the current values to set names. To cancel use the 'back' button of your browser">

</form>
{% endblock %}